﻿body {
/*    padding-top: 50px;*/
    padding-bottom: 20px;
}

/* Wrapping element */
/* Set some basic padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
}

/* Set widths on the form inputs since otherwise they're 100% wide */
input,
select,
textarea {
    max-width: 280px;
}

/* Carousel */
.carousel-caption p {
    font-size: 20px;
    line-height: 1.4;
}

/* Make .svg files in the carousel display properly in older browsers */
.carousel-inner .item img[src$=".svg"] {
    width: 100%;
}

/* Hide/rearrange for smaller screens */
@media screen and (max-width: 767px) {
    /* Hide captions */
    .carousel-caption {
        display: none;
    }
}


@import url(https://fonts.googleapis.com/css?family=Open+Sans:400,700);

body {
    font-family: "Open Sans", Arial;
    background: #EDEDED;
}

main {
    width: 600px;
    margin: 10px auto;
    padding: 10px 20px 30px;
    background: #FFF;
    box-shadow: 0 3px 5px rgba(0,0,0,0.2);
}

.main-title {
    display: flex;
    justify-content: center;
}

p {
    margin-top: 2rem;
    font-size: 13px;
}

#bar-chart {
    width: 500px;
    height: 300px;
    position: relative;
}

#line-chart {
    width: 500px;
    height: 300px;
    position: relative;
}

    #bar-chart::before, #line-chart::before {
        content: "";
        position: absolute;
        display: block;
        width: 240px;
        height: 30px;
        left: 155px;
        top: 254px;
        background: #FAFAFA;
        box-shadow: 1px 1px 0 0 #DDD;
    }

#pie-chart {
    width: 500px;
    height: 250px;
    position: relative;
}

    #pie-chart::before {
        content: "";
        position: absolute;
        display: block;
        width: 120px;
        height: 115px;
        left: 315px;
        top: 0;
        background: #FAFAFA;
        box-shadow: 1px 1px 0 0 #DDD;
    }

    #pie-chart::after {
        content: "";
        position: absolute;
        display: block;
        top: 260px;
        left: 70px;
        width: 170px;
        height: 2px;
        background: rgba(0,0,0,0.1);
        border-radius: 50%;
        box-shadow: 0 0 3px 4px rgba(0,0,0,0.1);
    }

.second-chart {
    display: flex;
    justify-content: center;
    margin-top: 15%;
}

#buyers {
    margin-top: 10%;
}

div.smallerFont,
div.smallerFont .k-filtercell * {
    font-size: 12px;
}

    div.smallerFont .k-dropdown.k-header.k-dropdown-operator {
        width: calc(8px + 2em) !important;
    }

    div.smallerFont .k-grid-edit-cell input {
        font-size: 12px;
    }

my-reconnect-modal > div {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 1000;
    overflow: hidden;
    background-color: #fff;
    opacity: 0.8;
    text-align: center;
    font-weight: bold;
}

.components-reconnect-hide > div {
    display: none;
}

.components-reconnect-show > div {
    display: none;
}

.components-reconnect-show > .show {
    display: block;
}

.components-reconnect-failed > div {
    display: none;
}

.components-reconnect-failed > .failed {
    display: block;
}

.components-reconnect-rejected > div {
    display: none;
}

.components-reconnect-rejected > .rejected {
    display: block;
}

.counter {
    background-color: #f5f5f5;
    padding: 20px 0;
    border-radius: 5px;
}

.count-title {
    font-size: 40px;
    font-weight: normal;
    margin-top: 10px;
    margin-bottom: 0;
    text-align: center;
}

.count-text {
    font-size: 13px;
    font-weight: normal;
    margin-top: 10px;
    margin-bottom: 0;
    text-align: center;
}

.fa-2x {
    margin: 0 auto;
    float: none;
    display: table;
    color: #4ad1e5;
}

/*.k-window .k-edit-form-container {
    max-height: 90vh;
    width: auto;
    overflow: auto;
    overflow-x: hidden;
}*/
.k-window {
    max-height: -webkit-fill-available;
}

.k-edit-form-container{
    width: auto !important;
}

.k-edit-label {
    width: auto !important;
}

.k-edit-field {
    width: 500px !important;
}
.k-input-inner{
    border: 1px solid gray !important;
}
.k-input {
    padding: inherit !important;
}

.spinner {
    border: 16px solid silver;
    border-top: 16px solid #337AB7;
    border-radius: 50%;
    width: 80px;
    height: 80px;
    animation: spin 700ms linear infinite;
    top: 40%;
    left: 55%;
    position: absolute;
}

@keyframes spin {
    0% {
        transform: rotate(0deg)
    }

    100% {
        transform: rotate(360deg)
    }
}